	LOGICAL FUNCTION LOCKUP ()
	INTEGER WDAY
	CALL IDATE (MONTH,IDAY,MODYR)
	IYEAR = MODYR + 1900
	LEAP = 0
	IF (MOD(IYEAR,4000).NE.0 .AND. (MOD(IYEAR,400).EQ.0 .OR.
	+   (MOD(IYEAR,100).NE.0 .AND. (MOD(IYEAR,4).EQ.0)))) LEAP = 1
	IADY = (336*MONTH - 329)/11 + IDAY
	IF (MONTH .GT. 2) IADY = IADY + LEAP - 2
	JYEAR = IYEAR
	IF (IYEAR .GE. 0) JYEAR = JYEAR - 1
	IDOW = MOD(JYEAR/4 - JYEAR/100 + JYEAR/400 - JYEAR/4000 + IYEAR,7)
	WDAY = MOD(IADY + IDOW - 1,7) + 1
	TOD = SECNDS(0.)
	LOCKUP = WDAY.GT.1 .AND. WDAY.LT.7
	+   .AND. ((TOD.GE.30600. .AND. TOD.LT.43200.)
	+   .OR. (TOD.GE.46800. .AND. TOD.LT.59400.))
	RETURN
	END
